//
// LocoTool - A program to edit Locomotion object description .dat files
//
// Copyright (C) 2004 by Josef Drexler
//
// This file is distributed under the term of the GNU General Public Licence
// version 2 or higher.  Please read the file LICENCE for details.
//
//
// locotool_static.c - the main file for static linking and debugging
//

#include <stdio.h>
#include <string.h>

#include "locotool.h"
#include "common.h"

int main(int argc, char **argv)
{
  char *fname;

  printf("%s\n", LocoTool_get_version());

  if (argc < 2) LocoTool_die("Give filename as parameter");

  fname = argv[1];

  if (stricmp(fname+strlen(fname)-4, ".xml") == 0) {
	LocoTool_encode(fname);
  } else {
	LocoTool_decode(fname);
  }

  return 0;
}
